公開日:2018/07/23 最終更新日:2018/09/03

JVNVU#99687822
Apache Tomcat Native Connector の複数の脆弱性に対するアップデート

概要

The Apache Software Foundation から、Apache Tomcat Native Connector に関する複数の脆弱性に対するアップデートが公開されました。

影響を受けるシステム

  • Apache Tomcat Native Connector 1.2.0 から 1.2.16 まで
  • Apache Tomcat Native Connector 1.1.23 から 1.1.34 まで

詳細情報

The Apache Software Foundation から、Apache Tomcat Native Connector に関する次の複数の脆弱性に対するアップデートが公開されました。

  • 不正な OCSP レスポンスが適切に処理されない問題 (CVE-2018-8019)
  • OCSP レスポンスに含まれる証明書のステータス情報が適切にチェックされない問題 (CVE-2018-8020)

想定される影響

証明書の失効情報が適切に処理されないことにより、失効した証明書を用いたユーザが認証されてしまう可能性があります。

対策方法

アップデートする
開発者が提供する情報をもとに、最新版へアップデートしてください。

ベンダ情報

ベンダ ステータス ステータス
最終更新日
ベンダの告知ページ
ジェイティ エンジニアリング株式会社 該当製品無し 2018/08/02
日本電気株式会社 該当製品あり 2018/09/03
ベンダ リンク
The Apache Software Foundation Fixed in Apache Tomcat Native Connector 1.2.17

参考情報

JPCERT/CCからの補足情報

JPCERT/CCによる脆弱性分析結果

謝辞

関連文書

JPCERT 緊急報告
JPCERT REPORT
CERT Advisory
CPNI Advisory
TRnotes
CVE CVE-2018-8019
CVE-2018-8020
JVN iPedia

更新履歴

2018/07/30
[影響を受けるシステム]の記載を修正しました
2018/08/02
ジェイティ エンジニアリング株式会社のベンダステータスが更新されました
2018/08/03
誤植を修正しました
2018/09/03
日本電気株式会社のベンダステータスが更新されました